Package Details: switchboard-bzr r566-1

Git Clone URL: https://aur.archlinux.org/switchboard-bzr.git (read-only)
Package Base: switchboard-bzr
Description: The Pantheon Control Center
Upstream URL: https://launchpad.net/switchboard
Licenses: GPL3
Groups: pantheon-unstable
Conflicts: switchboard
Provides: libswitchboard-2.0.so, switchboard
Submitter: dserban
Maintainer: alucryd
Last Packager: alucryd
Votes: 9
Popularity: 0.021567
First Submitted: 2011-08-18 15:52
Last Updated: 2015-09-10 14:59

Dependencies (17)

Required by (34)

Sources (1)

Latest Comments

d_rail commented on 2015-04-11 19:20

Yes it works if I build locally. I also noticed slingshot is acting funny (it closes as soon as I start typing). So I will go back to using aur packages only. Thanks for the help.

alucryd commented on 2015-04-11 18:39

Does it work if you build it locally? If it does, it's probably that gtk3-ubuntu, or anything else that's custom on your system.

d_rail commented on 2015-04-11 18:38

Testing is not enabled in my pacman.conf. However, I'm using gtk3-ubuntu (3.14) because of ido-bzr for indicators.

alucryd commented on 2015-04-11 10:41

Are you using testing? My repo is built upon extra and is not compatible with testing, especially since testing contains gtk3.16 atm.

d_rail commented on 2015-04-11 08:00

I'm getting a crash on start: "switchboard: symbol lookup error: switchboard: undefined symbol: gtk_label_set_xalign". I started using your pkgbuild repo, I think that is when it started. I removed all plugs so it must be switchboard itself.

alucryd commented on 2014-10-13 10:23

It builds perfectly fine here, cheese-gtk is found, that's what cheese in the depends array is there for.

davideddu commented on 2014-10-12 14:10

It doesn't build anymore, it keeps looking for "cheese-gtk"

alucryd commented on 2014-04-16 14:45

Switchboard builds and starts fine without pantheon-files-bzr, it's not a dependency. I stumbled across this issue not so long ago, simply restarting switchboard made it disappear.

RibShark commented on 2014-04-16 08:52

OK, so it seems that pantheon-files-bzr is now required. Please add it as a dependency.

RibShark commented on 2014-04-16 08:36

I'm getting this error:
[_LOG_LEVEL_INFO 09:35:56.700791] Application.vala:77: System Settings version: 2.0
[_LOG_LEVEL_INFO 09:35:56.700922] Application.vala:79: Kernel version: 3.14.1-1-ARCH
[_LOG_LEVEL_WARN 09:35:56.707794] [GLib-GIO] Settings schema 'org.pantheon.switchboard.saved-state' is not installed
[1] 28942 trace trap (core dumped) switchboard

alucryd commented on 2014-03-13 09:11

No, gnome-settings-daemon is only required if you have the power plug. It is already required by pantheon-session-bzr (so you should have it installed anyway if you're using pantheon) and Pantheon devs are looking to drop this dep in the power plug, I don't see the point of adding it to depends now. I'll add it if it turns out the dep is not dropped upstream after all.

ak5 commented on 2014-03-13 07:20

Needed to install gnome-settings-daemon (version: gnome-settings-daemon-3.10.2-3) to fix following bug:

[_LOG_LEVEL_INFO 15:14:48.924154] Application.vala:77: Switchboard version: 2.0
[_LOG_LEVEL_INFO 15:14:48.924209] Application.vala:79: Kernel version: 3.13.6-1-ARCH
[_LOG_LEVEL_WARN 15:14:48.928742] [GLib-GIO] Settings schema 'org.gnome.settings-daemon.plugins.power' is not installed
[1] 3854 trace trap (core dumped) switchboard

Source: https://bbs.archlinux.org/viewtopic.php?id=116475

alucryd commented on 2013-10-08 08:46

idainet: Thx, I've updated the PKGBUILD.

idainet commented on 2013-10-05 14:25

406 requires vala-0.18+, builts well with vala-0.20.1-1 from extra

idainet commented on 2013-10-05 14:21

406 requires vala-0.18+

sh4nks commented on 2012-12-06 20:48

Please add "libunity" and "libdbusmenu" as dependency.
See: https://bugs.launchpad.net/switchboard/+bug/1086953

dserban commented on 2011-09-21 12:36

Disowning.